IS-IS(8)

NAME
isisd - an IS-IS routing engine for use with Quagga routing software.

SYNOPSIS
isisd [ -dhv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ] [ -A vty-address ] [ -u user ] [ -g group ]

DESCRIPTION
isisd is a routing component that works with the Quagga routing engine.

OPTIONS
Options available for the isisd command:

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/isisd.conf.

-g, --group group
    Specify the group to run as. Default is quagga.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When isisd starts its process identifier is written to pid-file. The init system uses the recorded PID to stop or restart isisd. The likely default is /var/run/isisd.pid.

-P, --vty_port port-number
    Specify the port that the isisd VTY will listen on. This defaults to 2608, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the isisd VTY will listen on. Default is all interfaces.

-u, --user user
    Specify the user to run as. Default is quagga.

-v, --version
    Print the version and exit.

FILES

/usr/local/sbin/isisd
    The default location of the isisd binary.

/usr/local/etc/isisd.conf
    The default location of the isisd config file.

$(PWD)/isisd.log
    If the isisd process is config'd to output logs to a file, then you will find this file in the directory where you started isisd.

WARNING
This man page is intended to be a quick reference for command line options. The definitive document is the Info file Quagga.

DIAGNOSTICS
The isisd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. isisd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
bgpd(8), ripd(8), ripngd(8), ospfd(8), ospf6d(8), zebra(8), vtysh(1)

BUGS
isisd is ALPHA quality at the moment and hasn't any way ready for production use.

isisd eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHORS
See http://isisd.sourceforge.net or the Info file for an accurate list of authors.